# Uses of Interface
org.xml.sax.ErrorHandler

Packages that use ErrorHandler
Package
Description
javax.xml.parsers
Provides the classes for processing XML documents with a SAX (Simple API for XML) parser or a DOM (Document Object Model) Document builder.
javax.xml.validation
Provides an API for validation of XML documents.
org.xml.sax
Provides the interfaces for the Simple API for XML (SAX).
org.xml.sax.ext
Provides interfaces to SAX2 facilities that conformant SAX drivers won't necessarily support.
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

## Uses of ErrorHandler in javax.xml.parsers

Methods in javax.xml.parsers with parameters of type ErrorHandler
Modifier and Type
Method
Description
`abstract void`
DocumentBuilder.`setErrorHandler​(ErrorHandler eh)`
Specify the `ErrorHandler` to be used by the parser.

## Uses of ErrorHandler in javax.xml.validation

Methods in javax.xml.validation that return ErrorHandler
Modifier and Type
Method
Description
`abstract ErrorHandler`
SchemaFactory.`getErrorHandler()`
Gets the current `ErrorHandler` set to this `SchemaFactory`.
`abstract ErrorHandler`
Validator.`getErrorHandler()`
Gets the current `ErrorHandler` set to this `Validator`.
`abstract ErrorHandler`
ValidatorHandler.`getErrorHandler()`
Gets the current `ErrorHandler` set to this `ValidatorHandler`.
Methods in javax.xml.validation with parameters of type ErrorHandler
Modifier and Type
Method
Description
`abstract void`
SchemaFactory.`setErrorHandler​(ErrorHandler errorHandler)`
Sets the `ErrorHandler` to receive errors encountered during the `newSchema` method invocation.
`abstract void`
Validator.`setErrorHandler​(ErrorHandler errorHandler)`
Sets the `ErrorHandler` to receive errors encountered during the `validate` method invocation.
`abstract void`
ValidatorHandler.`setErrorHandler​(ErrorHandler errorHandler)`
Sets the `ErrorHandler` to receive errors encountered during the validation.

## Uses of ErrorHandler in org.xml.sax

Classes in org.xml.sax that implement ErrorHandler
Modifier and Type
Class
Description
`class`
`HandlerBase`
Deprecated.
This class works with the deprecated `DocumentHandler` interface.
Methods in org.xml.sax that return ErrorHandler
Modifier and Type
Method
Description
`ErrorHandler`
XMLReader.`getErrorHandler()`
Return the current error handler.
Methods in org.xml.sax with parameters of type ErrorHandler
Modifier and Type
Method
Description
`void`
Parser.`setErrorHandler​(ErrorHandler handler)`
Deprecated.
Allow an application to register an error event handler.
`void`
XMLReader.`setErrorHandler​(ErrorHandler handler)`
Allow an application to register an error event handler.

## Uses of ErrorHandler in org.xml.sax.ext

Classes in org.xml.sax.ext that implement ErrorHandler
Modifier and Type
Class
Description
`class`
`DefaultHandler2`
This class extends the SAX2 base handler class to support the SAX2 `LexicalHandler`, `DeclHandler`, and `EntityResolver2` extensions.

## Uses of ErrorHandler in org.xml.sax.helpers

Classes in org.xml.sax.helpers that implement ErrorHandler
Modifier and Type
Class
Description
`class`
`DefaultHandler`
Default base class for SAX2 event handlers.
`class`
`XMLFilterImpl`
Base class for deriving an XML filter.
Methods in org.xml.sax.helpers that return ErrorHandler
Modifier and Type
Method
Description
`ErrorHandler`
ParserAdapter.`getErrorHandler()`
Return the current error handler.
`ErrorHandler`
XMLFilterImpl.`getErrorHandler()`
Get the current error event handler.
Methods in org.xml.sax.helpers with parameters of type ErrorHandler
Modifier and Type
Method
Description
`void`
ParserAdapter.`setErrorHandler​(ErrorHandler handler)`
Set the error handler.
`void`
XMLFilterImpl.`setErrorHandler​(ErrorHandler handler)`
Set the error event handler.
`void`
XMLReaderAdapter.`setErrorHandler​(ErrorHandler handler)`
Register the error event handler.